import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { createAsyncThunk } from "@reduxjs/toolkit";

export const provinceJahadEditCooperativeService = createAsyncThunk(
  "PROVINCE_JAHAD_SUBMIT_COOPERATIVE_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    try {
      const { data, status } = await axios.put(
        "/LiveStock/cooperative/cooperative-views/0/",
        d
      );
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);

export const provinceJahadSubmitCooperativeService = createAsyncThunk(
  "PROVINCE_JAHAD_SUBMIT_COOPERATIVE_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    try {
      const { data, status } = await axios.post(
        "/LiveStock/cooperative/cooperative-views/",
        d
      );
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
